Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IParameter

    com.change_vision.jude.api.inf.model.IParameter

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IParameter

extends INamedElement

Interface for Parameters.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getDirection()` Get direction.
`abstract String` | `getQualifiedTypeExpression()` Get Qualified Type Expression.
`abstract IClass` | `getType()` Get Type.
`abstract String` | `getTypeExpression()` Get Type Expression.
`abstract void` | `setDirection(String direction)` Set direction.
`abstract void` | `setQualifiedTypeExpression(String type)` Set Qualified Type Expression.
`abstract void` | `setType(IClass type)` Set Type.
`abstract void` | `setTypeExpression(String type)` Set Type Expression.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getType

    abstract IClass getType()

  Get Type.

  Returns:
    Type. Return null in case there is none.

### getTypeExpression

    abstract String getTypeExpression()

  Get Type Expression.

  Returns:
    the array of Type Expression. Return empty string ("") in case there is none.

### getQualifiedTypeExpression

    abstract String getQualifiedTypeExpression()

  Get Qualified Type Expression.

  Returns:
    the array of Type Expression. Return empty string ("") in case there is none.

### setType

    abstract void setType(IClass type)

  Set Type.

  Parameters:
    `type` - Type
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getDirection

    abstract String getDirection()

  Get direction.

  Returns:
    String. in, out, inout.

### setDirection

    abstract void setDirection(String direction)

  Set direction.

  Parameters:
    `direction` - Direction. in, out, inout
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              INVALID_DIRECTION_KEY - if a direction kind is not in, out or inout.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setTypeExpression

    abstract void setTypeExpression(String type)

  Set Type Expression.

  Parameters:
    `type` - Type Expression If type "int", then type for the parameter will be int. if type like "int[][]", then type expression int[][] will be set for the parameter. if type like "int[2][2]", then type expression int[2][2] will be set for the parameter.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_MULTIPLICITY_KEY - if the multiplicity is invalid.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setQualifiedTypeExpression

    abstract void setQualifiedTypeExpression(String type)

  Set Qualified Type Expression.

  Parameters:
    `type` - Type Expression If type "int", then type for the parameter will be int. if type like "int[][]", then type expression int[][] will be set for the parameter. if type like "int[2][2]", then type expression int[2][2] will be set for the parameter.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_MULTIPLICITY_KEY - if the multiplicity is invalid.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD